%all inputs from RIFLEX for simplified nonlinear time domain analysis
function [seabed_VIVANA, static_config, free_span_length,sea_bottom,static_gap]...
= RIFLEX_input(Case,l,D,n_nodes,L)

%static displacemenet and seabed coordiantes (from RIFLEX/VIVANA)
[seabed_VIVANA, static_config, free_span_length] = read_input(Case);

%for square seabed and no static displacement (linear case) 
[sea_bottom] = seabed(l,n_nodes,L,free_span_length,D);

%static gap as given by RIFLEX time domain analysis 
[static_gap] = staticGap(static_config,seabed_VIVANA);

end