%adding vertical soil damping where we have bottom contact 
function [C] = soil_damping(Csys,sea_bottom,c_s,elem_length,transdofs_id)

%defining size of stiffness matrix
c_soil = zeros(size(Csys));

for i = 1:length(transdofs_id)
    
    if sea_bottom(i) == 0
        
        c_soil(transdofs_id(i),transdofs_id(i)) = c_s*elem_length;
        
    end
    
end

%new global damping matrix including vertical dampers at translation dofs
C = c_soil + Csys;