%adding vertical soil stiffness where we have bottom contact 
function [Ksys, k_soil] = soil_stiffness(Ksys,sea_bottom,k_s,elem_length,...
transdofs_id)

%% linear stiffness matrix 
  
%defining size of stiffness matrix
k_soil = zeros(size(Ksys));

for i = 1:length(transdofs_id)
    
    if sea_bottom(i) == 0
        
        k_soil(transdofs_id(i),transdofs_id(i)) = k_s*elem_length;
        
    end
    
end

%new global stiffness matrix including vertical springs at translation dofs
Ksys = k_soil + Ksys;

end